package cn.com.infosec.asn1;

import java.io.ByteArrayOutputStream;
import java.util.Enumeration;

public class DERSequence extends ASN1Sequence {
   public DERSequence() {
   }

   public DERSequence(DEREncodable obj) {
      this.addObject(obj);
   }

   public DERSequence(DEREncodableVector v) {
      for(int var2 = 0; var2 != v.size(); ++var2) {
         this.addObject(v.get(var2));
      }

   }

   public DERSequence(ASN1Encodable[] a) {
      for(int var2 = 0; var2 != a.length; ++var2) {
         this.addObject(a[var2]);
      }

   }

   void encode(DEROutputStream out) {
      DERSequence var10000 = this;
      ByteArrayOutputStream var4;
      var4 = new ByteArrayOutputStream.<init>();
      DEROutputStream var2;
      var2 = new DEROutputStream.<init>(var4);
      Enumeration var3 = var10000.getObjects();

      while(var3.hasMoreElements()) {
         var2.writeObject(var3.nextElement());
      }

      var2.close();
      out.writeEncoded(48, var4.toByteArray());
   }
}
